1. Career Opportunities
Networked API Documentation
  • Getting Started
  • User Authentication
    • Add New Users to Community
      POST
    • Send email invites
      POST
  • User Profile
    • User Profile
      GET
    • Profile Visits
      GET
  • Community
    • Features
      • Feature List
    • Directory
      • Users List
      • Roles List
    • Monetization
      • Plans
        • Plans List
    • Feed
      • Polls
        • Create Polls
      • Surveys
        • Create Surveys
      • Post
        • Ask and offer help
          • Post Intro
          • Post Advice
          • Post Recommendation
          • Post Kudos
          • Post Help
        • Feed Post List
        • Post to Feed
        • Get Post Comments
        • Add Comments to Post
      • upload Media
    • Opportunities
      • Company and Services
        • Company and Services List
      • Fundaising Initiatives
        • Fundraising Initiatives List
      • Career Opportunities
        • Career Opportunities
          GET
    • Events
      • Event Post
      • Edit Events
      • Delete Event
      • Event List
    • Media Center
      • Get Resources
    • Analytics
      • Community Analytics
    • Newsletter
      • Lists
        • Get newsletter subscriber lists
      • Add newsletter subscribers
      • Get newsletter subscribers
    • Community Details
      GET
    • Spaces List
      GET
  • Webhooks
    • User Webhooks
      • user.joined
      • user.profile.updated
      • user.joined.space
    • Feed Webhooks
      • post.created
      • post.liked
      • post.unliked
      • comment.added
      • post.reported
  • References
    • Response Codes
      GET
    • Model Status
      GET
    • Post Types
      GET
  1. Career Opportunities

Career Opportunities

GET
https://backend.networked.co/api/v1/oppurtunity/jobs

šŸ’¼ Get Job Listings#

Method: GET
Endpoint: /api/v1/oppurtunity/jobs?start=0&count=10

Headers#

NameTypeRequiredDescription
x-api-keyStringYesAPI key provided by Networked.
spaceIdStringNoRequired only when fetching for a space. Defaults to community.

Query Parameters#

NameTypeRequiredDescription
startNumberYesIndex to start fetching job records.
countNumberYesNumber of job records to fetch per page.

Sample Response#

{
  "data": {
    "count": 1,
    "start": 0,
    "nextStart": false,
    "contents": [
      {
        "jobId": "682fc8c70465d1001250c405",
        "user": {
          "id": "6787893423126f0012a92ed6",
          "name": "Spencer Johnson Spencer",
          "image": "https://ntwc-us-east-2-qa-eks-s3-files-storage.s3.us-east-2.amazonaws.com/user-6787893423126f0012a92ed6/file_1741258763688_image (25).png",
          "title": " Software Development Test Engineer WBC Community Test Engineer"
        },
        "title": "czxc",
        "jobDescription": "<p class=&#x27;preserveHtml&#x27; class=&#x27;preserveHtml&#x27; class=&#x27;preserveHtml&#x27; class=&#x27;preserveHtml&#x27; class=&#x27;preserveHtml&#x27; class=&#x27;preserveHtml&#x27; style=\"\">cxzczx</p>",
        "richText": "[{\"type\":\"paragraph\",\"children\":[{\"text\":\"cxzczx\"}]}]",
        "industry": {},
        "contactEmail": "gupta.sahu@networked.co",
        "applicantCount": 0,
        "jobDataapplicants": false,
        "jobInformation": {
          "jobType": {
            "id": "5349b4ddd2781d06c0000001",
            "name": "Full Time",
            "description": "permanent job opprtunity with employer"
          },
          "vacancies": 1,
          "salaryType": {},
          "salaryCurrency": {},
          "salaryDuration": {}
        },
        "companyRaw": {
          "image": "",
          "imageId": ""
        },
        "company": {},
        "timeStamp": 1747962055222,
        "isSpace": false,
        "community": "67959032bc6bea0012fdc671"
      }
    ]
  },
  "error": false,
  "message": "Operation completed successfully"
}

Response Interface#

interface JobListingResponse {
  data: {
    count: number;
    start: number;
    nextStart: boolean;
    contents: Job[];
  };
  error: boolean;
  message: string;
}
interface Job {
  jobId: string;
  user: {
    id: string;
    name: string;
    image: string;
    title: string;
  };
  title: string;
  jobDescription: string;
  richText: string;
  industry: object;
  contactEmail: string;
  applicantCount: number;
  jobDataapplicants: boolean;
  jobInformation: {
    jobType: {
      id: string;
      name: string;
      description: string;
    };
    vacancies: number;
    salaryType: object;
    salaryCurrency: object;
    salaryDuration: object;
  };
  companyRaw: {
    image: string;
    imageId: string;
  };
  company: object;
  timeStamp: number;
  isSpace: boolean;
  community: string;
}

Response Field Descriptions#

FieldTypeDescription
jobIdStringUnique ID of the job listing.
userObjectCreator of the job post.
titleStringJob title.
jobDescriptionStringHTML-formatted job description.
richTextStringRich-text formatted job content.
industryObjectIndustry info (if any).
contactEmailStringEmail to apply or contact for the job.
applicantCountNumberNumber of applicants.
jobDataapplicantsBooleanIndicates if there are job applicants.
jobInformationObjectContains job type, vacancies, and salary.
companyRawObjectCompany image info.
companyObjectDetailed company information (if available).
timeStampNumberTimestamp when job was posted.
isSpaceBooleanWhether the job is posted in a space.
communityStringCommunity ID the job is associated with.

Reference#

šŸ”— Response Codes Documentation

Request

Query Params

Header Params

Responses

🟢200
application/json
Bodyapplication/json

šŸ”“512
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://backend.networked.co/api/v1/oppurtunity/jobs?start=0&count=10' \
--header 'x-api-key: <your-api-key>'
Response Response Example
200 - Successful Response
{
    "data": {
        "count": 1,
        "start": 0,
        "nextStart": false,
        "contents": [
            {
                "jobId": "687467b20e852b00127eac48",
                "user": {
                    "id": "6787893423126f0012a92ed6",
                    "name": "Gupteswaro Sahu Gupteswaro Sahu Gupteswaro Sahu Gupteswaro Sahu",
                    "image": "https://ntwc-us-east-2-qa-eks-s3-files-storage.s3.us-east-2.amazonaws.com/user-5fc0da0bb3bfc0123e0f7011/file_1751019476044_My%20Photo%201.jpg",
                    "title": " Software Development"
                },
                "title": "Apply job from Mobile 1",
                "jobDescription": "<p style=\"\">This is a testing job posted .</p>",
                "richText": "[{\"type\":\"paragraph\",\"children\":[{\"text\":\"This is a testing job posted .\"}]}]",
                "industry": {
                    "id": "5f16fbd4a62398458f000028",
                    "name": "Machinery"
                },
                "contactEmail": "gupta.sahu@networked.co",
                "jobLink": null,
                "applicantCount": 0,
                "jobDataapplicants": false,
                "fixedSalary": "120000",
                "yearsOfExperience": "12",
                "jobInformation": {
                    "jobType": {
                        "id": "5349b4ddd2781d06c0000001",
                        "name": "Full Time",
                        "description": "permanent job opprtunity with employer"
                    },
                    "vacancies": 1,
                    "salaryType": {
                        "id": "5349b4ddd2781d06d0000001",
                        "name": "Negotiable",
                        "description": "Negotiable Salary means if you actually get the job, then there will be a discussion between you and the employer to decide what salary you can be offered depending on skills and experience."
                    },
                    "salaryCurrency": {
                        "id": "5349b4ddd2781d06a0000001",
                        "name": "USD - US Dollar",
                        "description": "USD - US Dollar",
                        "symbol": "USD"
                    },
                    "salaryDuration": {
                        "id": "5349b4ddd2781d06e0000002",
                        "name": "Daily",
                        "description": "Salary to an employee on day basis"
                    }
                },
                "companyRaw": {
                    "name": " Novo Nordisk",
                    "location": "Plot No. 129-132,Ground floor, Block 1,DLF Cyber City,Gachibowli,Serilingampally,Hyderabad,Telangana,India",
                    "address": null,
                    "website": "https://google.com",
                    "image": "https://ntwc-us-east-2-qa-eks-s3-files-storage.s3.us-east-2.amazonaws.com/user-6787893423126f0012a92ed6/file_1752459285915_file_1723098276454_logo.png",
                    "imageId": "6874681552ece60029b96106"
                },
                "company": {},
                "timeStamp": 1752459186030,
                "isSpace": false,
                "community": "67959032bc6bea0012fdc671",
                "isHideApply": false,
                "registrationLink": [
                    {
                        "_id": "687467b20e852b00127eac4a",
                        "url": "https://someregistrationlink.com",
                        "actionName": "action 1"
                    },
                    {
                        "_id": "6874681b0e852b00127eaca6",
                        "url": "https://someregistrationlink2.com",
                        "actionName": "action 2"
                    }
                ]
            }
        ]
    },
    "error": false,
    "message": "Operation completed successfully"
}
Modified atĀ 2026-05-15 11:53:20
Previous
Career Opportunities
Next
Event Post
Built with